Subject: Re: [PATCH v2] bundle: remove unneeded code

From: Toon Claes <[email-masked]>
Date: Wed, 11 Dec 2024 21:53:57 +0100

Junio C Hamano <[email-masked]> writes:

> expecting success of 6020.17 'clone from full bundle upto annotated tag':
>         git clone --mirror v2.bdl tag-clone.git &&
>         git -C tag-clone.git show-ref |
>                 make_user_friendly_and_stable_output >actual &&
>         cat >expect <<-\EOF &&
>         <TAG-2> refs/tags/v2
>         EOF
>         false &&
>         test_cmp expect actual
>
> Cloning into bare repository 'tag-clone.git'...
> Receiving objects: 100% (35/35), done.
> Resolving deltas: 100% (6/6), done.
> not ok 17 - clone from full bundle upto annotated tag
> #
> #               git clone --mirror v2.bdl tag-clone.git &&
> #               git -C tag-clone.git show-ref |
> #                       make_user_friendly_and_stable_output >actual &&
> #               cat >expect <<-\EOF &&
> #               <TAG-2> refs/tags/v2
> #               EOF
> #               false &&
> #               test_cmp expect actual
> #
> 1..17
>
> What's the "false" doing here?

I'm terribly sorry, how sloppy of me. I added that during debugging to
be able to inspect the t/trash* directory. This shouldn't have made it
to the final patch. My apologies, I've submitted v3 which doesn't
include that line.

--
Toon